XMLTransformer
Keywords: uk.ac.bbk.dcs.automed.xml.XMLTransformer,XMLTransformer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml
Class XMLTransformer

    java.lang.Object
      |
      +--uk.ac.bbk.dcs.automed.xml.XMLTransformer

public class XMLTransformer
extends java.lang.Object

Class that automatically integrates two AutoMed XML DataSource Schemas.

Author:
  Lucas Zamboulis

Constructor Summary
`XMLTransformer(Schema source, org.w3c.dom.Document sourceSchemaUIDDoc, Schema target, org.w3c.dom.Document targetSchemaUIDDoc, boolean createSyntheticData)`

Method Summary
`org.w3c.dom.Document` | `getFinalDoc()`
`Schema` | `getFinalSchema()`
`java.lang.String` | `getFinalSchemaName()`
`void` | `listTransformationPathway()` Prints out the transformation pathway created by the schema transformation algorithm.
`void` | `transform(boolean validateSource, boolean validateTarget)` Creates the transformation pathway from the source to the target schema.
`protected java.lang.String` | `UIDRemoveSchemaName(org.w3c.dom.Node elem)`
`protected java.lang.String` | `UIDRemoveSchemaName(java.lang.String uid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLTransformer

    public XMLTransformer(Schema source,
                          org.w3c.dom.Document sourceSchemaUIDDoc,
                          Schema target,
                          org.w3c.dom.Document targetSchemaUIDDoc,
                          boolean createSyntheticData)

Parameters:
  `source` - the source AutoMed XMLDSS
  `target` - the target AutoMed XMLDSS

Method Detail

### transform

    public void transform(boolean validateSource,
                          boolean validateTarget)

  Creates the transformation pathway from the source to the target schema. The whole process can be divided into four steps:
  - Growing phase: insert schema objects to the source schema
  - Shrinking phase: remove schema objects from the source schema
  - Renaming phase: rename edge labels so that the ordering they represent is correct
  - Check transformation: check that the transformation result is correct

  Parameters:
    `validateSource` - if true, validate source DOM XMLDSS against any referenced DTD/XML Schema
    `validateTarget` - if true, validate target DOM XMLDSS against any referenced DTD/XML Schema

### getFinalDoc

    public org.w3c.dom.Document getFinalDoc()

  Returns:
    the DOM representation of the transformed XMLDSS.

### getFinalSchemaName

    public java.lang.String getFinalSchemaName()

  Returns:
    the name of the transformed XMLDSS.

### getFinalSchema

    public Schema getFinalSchema()

  Returns:
    the transformed AutoMed XMLDSS schema.

### listTransformationPathway

    public void listTransformationPathway()

  Prints out the transformation pathway created by the schema transformation algorithm.

### UIDRemoveSchemaName

    protected java.lang.String UIDRemoveSchemaName(java.lang.String uid)

### UIDRemoveSchemaName

    protected java.lang.String UIDRemoveSchemaName(org.w3c.dom.Node elem)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD